Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Interface HierarchyBoundsListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AWTEventMulticaster, HierarchyBoundsAdapter

    public interface HierarchyBoundsListener

extends EventListener

The listener interface for receiving ancestor moved and resized events. The class that is interested in processing these events either implements this interface (and all the methods it contains) or extends the abstract `HierarchyBoundsAdapter` class (overriding only the method of interest). The listener object created from that class is then registered with a Component using the Component's `addHierarchyBoundsListener` method. When the hierarchy to which the Component belongs changes by the resizing or movement of an ancestor, the relevant method in the listener object is invoked, and the `HierarchyEvent` is passed to it.

Hierarchy events are provided for notification purposes ONLY; The AWT will automatically handle changes to the hierarchy internally so that GUI layout works properly regardless of whether a program registers an `HierarchyBoundsListener` or not.

Since:
  1.3
See Also:
  `HierarchyBoundsAdapter`, `HierarchyEvent`

Method Summary
`void` | `ancestorMoved(HierarchyEvent e)` Called when an ancestor of the source is moved.
`void` | `ancestorResized(HierarchyEvent e)` Called when an ancestor of the source is resized.

Method Detail

### ancestorMoved

    void ancestorMoved(HierarchyEvent e)

  Called when an ancestor of the source is moved.

### ancestorResized

    void ancestorResized(HierarchyEvent e)

  Called when an ancestor of the source is resized.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.